Bulk Queries
post
/custom-actions/bulkQueries/<resourceName>
Request
Query Parameters
-
useSavedQueryAsSubQuery: boolean
Indicates whether to use a saved query as a subquery. Accepts true or false. This parameter will not work if the saved query contains an ORDER BY clause.
Header Parameters
-
Prefer Transient Header: string
A header parameter that allows you to execute queries. Set the request header "Prefer" to "transient" to explicitly declare that the query should be executed.
Supported Media Types
- application/vnd.oracle.resource+json;type=query-def
Nested Schema : q
Type:
Show Source
object-
q: string
Filter (a 'where'clause) to restrict the items returned in the collection. By default, no filtering is applied.
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : bulkQueryResponse
Type:
Show Source
object-
pkCount: string
Number of primary keys.
-
pks: array
pks
List of primary keys.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.